From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt5-sip/
Date: Thu, 27 Dec 2018 19:49:32 +0000 (UTC) [thread overview]
Message-ID: <1545940148.02f083936236b26158bfd6be33a985ebe7631c51.pesa@gentoo> (raw)
commit: 02f083936236b26158bfd6be33a985ebe7631c51
Author: Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 27 19:24:39 2018 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Thu Dec 27 19:49:08 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02f08393
dev-python/PyQt5-sip: new package
This is the private SIP module (sip.so) for PyQt5, required since PyQt5-5.11.
Bug: https://bugs.gentoo.org/668014
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>
dev-python/PyQt5-sip/Manifest | 1 +
.../PyQt5-sip-4.19.14_pre1812231555.ebuild | 91 ++++++++++++++++++++++
dev-python/PyQt5-sip/metadata.xml | 18 +++++
3 files changed, 110 insertions(+)
diff --git a/dev-python/PyQt5-sip/Manifest b/dev-python/PyQt5-sip/Manifest
new file mode 100644
index 00000000000..b9720f773e0
--- /dev/null
+++ b/dev-python/PyQt5-sip/Manifest
@@ -0,0 +1 @@
+DIST sip-4.19.14.dev1812231555.tar.gz 1020224 BLAKE2B e3df5a8b7829278987c5b368b8b6c28c04fc0b3bb3847451e48411ef9ba5cda932007613ad31f34381446ea02d62281b27ae4951babca5ec8b75f065aa296365 SHA512 decf2f7baacede27c42d359eb875a895c9a92b36a8e8a29f4666b3f98f570d821e80dbb32fd946ce230f726fafc4000af9b167df8cfd188bcd7f85fbc71bd4b1
diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.14_pre1812231555.ebuild b/dev-python/PyQt5-sip/PyQt5-sip-4.19.14_pre1812231555.ebuild
new file mode 100644
index 00000000000..457acbf3654
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-4.19.14_pre1812231555.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Private sip module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro"
+
+MY_P=sip-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://sourceforge/pyqt/${MY_P}.tar.gz"
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ # Sub-slot sanity check
+ local sub_slot=${SLOT#*/}
+ local sip_api_major_nr=$(sed -nre 's:^#define SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+ if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+ eerror
+ eerror "Ebuild sub-slot (${sub_slot}) does not match SIP_API_MAJOR_NR (${sip_api_major_nr})"
+ eerror "Please update SLOT variable as follows:"
+ eerror " SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+ eerror
+ die "sub-slot sanity check failed"
+ fi
+
+ default
+}
+
+src_configure() {
+ configuration() {
+ if ! python_is_python3; then
+ local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ fi
+
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ $(usex debug --debug '')
+ --sip-module PyQt5.sip
+ --no-tools
+ AR="$(tc-getAR) cqs"
+ CC="$(tc-getCC)"
+ CFLAGS="${CFLAGS}"
+ CFLAGS_RELEASE=
+ CXX="$(tc-getCXX)"
+ CXXFLAGS="${CXXFLAGS}"
+ CXXFLAGS_RELEASE=
+ LINK="$(tc-getCXX)"
+ LINK_SHLIB="$(tc-getCXX)"
+ LFLAGS="${LDFLAGS}"
+ LFLAGS_RELEASE=
+ RANLIB=
+ STRIP=
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake DESTDIR="${D}" install
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}
diff --git a/dev-python/PyQt5-sip/metadata.xml b/dev-python/PyQt5-sip/metadata.xml
new file mode 100644
index 00000000000..9b8cb511f25
--- /dev/null
+++ b/dev-python/PyQt5-sip/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>qt@gentoo.org</email>
+ <name>Gentoo Qt Project</name>
+ </maintainer>
+ <upstream>
+ <maintainer status="active">
+ <email>phil@riverbankcomputing.com</email>
+ <name>Phil Thompson</name>
+ </maintainer>
+ <bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
+ <doc>http://pyqt.sourceforge.net/Docs/sip4/</doc>
+ <remote-id type="pypi">SIP</remote-id>
+ <remote-id type="sourceforge">pyqt</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2018-12-27 19:49 UTC|newest]
Thread overview: 124+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-12-27 19:49 Davide Pesavento [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-02-12 4:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt5-sip/ Davide Pesavento
2019-02-12 4:44 Davide Pesavento
2019-03-19 20:40 Davide Pesavento
2019-03-21 19:42 Davide Pesavento
2019-04-02 19:48 Davide Pesavento
2019-05-08 23:22 Davide Pesavento
2019-05-12 20:09 Davide Pesavento
2019-07-06 4:36 Davide Pesavento
2019-07-08 11:05 Agostino Sarubbo
2019-07-08 12:10 Thomas Deutschmann
2019-07-16 15:56 Davide Pesavento
2019-07-23 16:45 Aaron Bauman
2019-07-28 20:27 Mikle Kolyada
2019-09-24 21:50 Davide Pesavento
2019-11-16 19:28 Davide Pesavento
2019-11-16 20:25 Davide Pesavento
2019-12-26 16:39 Davide Pesavento
2019-12-31 14:02 Agostino Sarubbo
2019-12-31 14:06 Agostino Sarubbo
2020-01-27 12:28 Mikle Kolyada
2020-02-05 5:52 Davide Pesavento
2020-03-07 15:11 Michał Górny
2020-03-07 15:23 Michał Górny
2020-03-21 15:52 Agostino Sarubbo
2020-03-22 10:37 Agostino Sarubbo
2020-04-19 1:17 Davide Pesavento
2020-06-05 22:43 Andreas Sturmlechner
2020-06-07 8:44 Agostino Sarubbo
2020-06-07 8:48 Agostino Sarubbo
2020-06-08 16:34 Mart Raudsepp
2020-06-09 19:15 Davide Pesavento
2020-06-09 19:15 Davide Pesavento
2020-06-09 20:06 Michał Górny
2020-06-10 18:46 Davide Pesavento
2020-08-01 23:20 Andreas Sturmlechner
2020-08-17 23:50 Davide Pesavento
2020-08-22 8:09 Michał Górny
2020-11-03 13:12 Sam James
2020-11-03 13:18 Sam James
2020-11-04 1:05 Sam James
2020-11-12 0:35 Thomas Deutschmann
2020-11-28 21:59 Andreas Sturmlechner
2021-03-24 23:29 Davide Pesavento
2021-05-25 11:03 Sam James
2021-05-25 15:04 Agostino Sarubbo
2021-05-25 16:55 Sam James
2021-05-26 13:17 Sam James
2021-05-29 19:44 Davide Pesavento
2021-05-30 6:27 Davide Pesavento
2021-06-01 17:07 Andrew Ammerlaan
2021-06-02 2:00 Davide Pesavento
2021-06-19 20:42 Davide Pesavento
2021-07-19 18:36 Sam James
2021-07-19 18:36 Sam James
2021-09-03 1:53 Sam James
2021-09-03 4:03 Davide Pesavento
2022-02-04 18:48 Sam James
2022-06-08 19:16 Andrew Ammerlaan
2022-07-14 19:07 Arthur Zamarin
2022-07-14 19:19 Arthur Zamarin
2022-07-14 20:04 Arthur Zamarin
2022-07-15 0:45 Sam James
2022-07-15 0:45 Sam James
2022-07-15 7:24 Michał Górny
2022-10-30 22:41 Sam James
2022-10-30 22:42 Sam James
2022-12-02 10:20 WANG Xuerui
2022-12-10 8:59 Arthur Zamarin
2022-12-10 9:02 Arthur Zamarin
2022-12-10 9:12 Arthur Zamarin
2022-12-10 15:52 Michał Górny
2023-03-10 8:40 Sam James
2023-04-11 6:15 Sam James
2023-04-22 9:02 Arthur Zamarin
2023-04-22 9:25 Arthur Zamarin
2023-04-22 11:31 Sam James
2023-04-22 11:56 Sam James
2023-04-23 21:33 Sam James
2023-04-24 5:57 Michał Górny
2023-05-04 16:11 Michał Górny
2023-05-07 4:12 Michał Górny
2023-05-20 8:28 Michał Górny
2023-06-11 13:32 Sam James
2023-06-11 13:32 Sam James
2023-06-11 15:04 Sam James
2023-06-11 16:46 Sam James
2023-06-11 18:38 Jakov Smolić
2023-06-11 19:19 Michał Górny
2023-07-25 0:10 Ionen Wolkens
2023-08-24 12:47 Michał Górny
2023-10-14 14:48 Ionen Wolkens
2023-11-03 10:59 Arthur Zamarin
2023-11-03 10:59 Arthur Zamarin
2023-11-03 15:08 Arthur Zamarin
2023-11-03 15:08 Arthur Zamarin
2023-11-03 15:08 Arthur Zamarin
2023-11-09 15:49 Ionen Wolkens
2024-02-24 10:22 Michał Górny
2024-02-24 10:22 Michał Górny
2024-02-24 14:04 Sam James
2024-02-24 19:46 Arthur Zamarin
2024-03-03 2:27 Sam James
2024-03-03 3:39 Michał Górny
2024-05-13 5:49 Ionen Wolkens
2024-06-28 14:45 Ionen Wolkens
2024-07-12 16:26 Ionen Wolkens
2024-07-12 16:26 Ionen Wolkens
2024-07-27 7:07 Arthur Zamarin
2024-07-27 7:35 Arthur Zamarin
2024-07-27 8:24 Arthur Zamarin
2024-07-27 8:40 Arthur Zamarin
2024-07-27 8:41 Arthur Zamarin
2024-11-22 20:00 Michał Górny
2024-12-06 16:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyqt5-sip/ Ionen Wolkens
2024-12-12 13:12 Ionen Wolkens
2024-12-16 8:42 Ionen Wolkens
2024-12-25 22:19 Jakov Smolić
2024-12-25 22:19 Jakov Smolić
2024-12-25 22:19 Jakov Smolić
2024-12-25 22:40 Sam James
2024-12-25 22:40 Sam James
2025-02-03 2:38 Ionen Wolkens
2025-02-26 8:47 Ionen Wolkens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1545940148.02f083936236b26158bfd6be33a985ebe7631c51.pesa@gentoo \
--to=pesa@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox